/// <reference types="react" />
import { ISearchToolbarProps } from './search-toolbar.interface';
import { UniversalSearchToolbar } from './universal-search-toolbar.component';
import { IComponent } from '../../../entities-definitions.interface';
export declare class SearchToolbar<TComponent extends IComponent<TProps, TState>, TProps extends ISearchToolbarProps = ISearchToolbarProps, TState = {}> extends UniversalSearchToolbar<TComponent, TProps> {
    /**
     * @stable [17.09.2018]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [18.05.2018]
     * @returns {JSX.Element}
     */
    protected readonly fieldWrapper: JSX.Element;
    /**
     * @stable [18.05.2018]
     * @returns {JSX.Element}
     */
    protected readonly actionsElementsWrapper: JSX.Element[];
    protected getActionElement(config: any): JSX.Element;
    /**
     * @stable [18.05.2018]
     * @returns {JSX.Element}
     */
    protected readonly searchField: JSX.Element;
}
