"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * @stable [27.05.2018]
 */
exports.DEFAULT_BOOTSTRAP_CONFIGURATION = {
    rootId: 'root',
    needToPrepareBody: true,
    needToDefineErrorHandler: true,
};
/**
 * @stable [18.04.2018]
 */
var FieldActionPositionEnum;
(function (FieldActionPositionEnum) {
    FieldActionPositionEnum[FieldActionPositionEnum["LEFT"] = 0] = "LEFT";
    FieldActionPositionEnum[FieldActionPositionEnum["RIGHT"] = 1] = "RIGHT";
})(FieldActionPositionEnum = exports.FieldActionPositionEnum || (exports.FieldActionPositionEnum = {}));
/* @stable - 14.04.2018 */
var ContainerVisibilityTypeEnum;
(function (ContainerVisibilityTypeEnum) {
    ContainerVisibilityTypeEnum[ContainerVisibilityTypeEnum["PUBLIC"] = 0] = "PUBLIC";
    ContainerVisibilityTypeEnum[ContainerVisibilityTypeEnum["PRIVATE"] = 1] = "PRIVATE";
})(ContainerVisibilityTypeEnum = exports.ContainerVisibilityTypeEnum || (exports.ContainerVisibilityTypeEnum = {}));
/**
 * @stable [22.10.2018]
 */
var LayoutBuilderTypeEnum;
(function (LayoutBuilderTypeEnum) {
    LayoutBuilderTypeEnum[LayoutBuilderTypeEnum["VERTICAL"] = 0] = "VERTICAL";
    LayoutBuilderTypeEnum[LayoutBuilderTypeEnum["HORIZONTAL"] = 1] = "HORIZONTAL";
})(LayoutBuilderTypeEnum = exports.LayoutBuilderTypeEnum || (exports.LayoutBuilderTypeEnum = {}));
/* @stable - 16.04.2018 */
exports.LAYOUT_BUILDER_TYPES = {
    VERTICAL: LayoutBuilderTypeEnum.VERTICAL,
    HORIZONTAL: LayoutBuilderTypeEnum.HORIZONTAL,
};
/* @stable - 16.04.2018 */
var LayoutBuilderFactorEnum;
(function (LayoutBuilderFactorEnum) {
    LayoutBuilderFactorEnum[LayoutBuilderFactorEnum["FACTOR_1"] = 0] = "FACTOR_1";
    LayoutBuilderFactorEnum[LayoutBuilderFactorEnum["FACTOR_2"] = 1] = "FACTOR_2";
    LayoutBuilderFactorEnum[LayoutBuilderFactorEnum["FACTOR_4"] = 2] = "FACTOR_4";
    LayoutBuilderFactorEnum[LayoutBuilderFactorEnum["FACTOR_8"] = 3] = "FACTOR_8";
})(LayoutBuilderFactorEnum = exports.LayoutBuilderFactorEnum || (exports.LayoutBuilderFactorEnum = {}));
/* @stable - 16.04.2018 */
exports.LAYOUT_BUILDER_FACTOR_TYPES = {
    FACTOR_1: LayoutBuilderFactorEnum.FACTOR_1,
    FACTOR_2: LayoutBuilderFactorEnum.FACTOR_2,
    FACTOR_4: LayoutBuilderFactorEnum.FACTOR_4,
    FACTOR_8: LayoutBuilderFactorEnum.FACTOR_8,
};
/**
 * @stable [04.05.2018]
 */
var NavigationListItemTypeEnum;
(function (NavigationListItemTypeEnum) {
    NavigationListItemTypeEnum[NavigationListItemTypeEnum["GROUP"] = 0] = "GROUP";
    NavigationListItemTypeEnum[NavigationListItemTypeEnum["SUB_HEADER"] = 1] = "SUB_HEADER";
    NavigationListItemTypeEnum[NavigationListItemTypeEnum["DIVIDER"] = 2] = "DIVIDER";
    NavigationListItemTypeEnum[NavigationListItemTypeEnum["LINK"] = 3] = "LINK";
})(NavigationListItemTypeEnum = exports.NavigationListItemTypeEnum || (exports.NavigationListItemTypeEnum = {}));
/**
 * @stable [13.09.2018]
 */
var ToolbarActionEnum;
(function (ToolbarActionEnum) {
    ToolbarActionEnum[ToolbarActionEnum["OPEN_FILTER"] = 0] = "OPEN_FILTER";
    ToolbarActionEnum[ToolbarActionEnum["CLEAR_FILTER"] = 1] = "CLEAR_FILTER";
    ToolbarActionEnum[ToolbarActionEnum["REFRESH_DATA"] = 2] = "REFRESH_DATA";
    ToolbarActionEnum[ToolbarActionEnum["DOWNLOAD_DATA"] = 3] = "DOWNLOAD_DATA";
})(ToolbarActionEnum = exports.ToolbarActionEnum || (exports.ToolbarActionEnum = {}));
//# sourceMappingURL=configurations-definitions.interface.js.map