"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var base_1 = require("../base");
var di_1 = require("../../di");
var chips_filter_component_1 = require("./chips-filter.component");
var util_1 = require("../../util");
var ChipsFilterContainer = /** @class */ (function (_super) {
    __extends(ChipsFilterContainer, _super);
    function ChipsFilterContainer() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [26.08.2018]
     * @returns {JSX.Element}
     */
    ChipsFilterContainer.prototype.render = function () {
        var _this = this;
        var props = this.props;
        return util_1.orNull(!props.list.progress, function () { return (React.createElement(chips_filter_component_1.ChipsFilter, { filterForm: props.filterForm, fieldsConfigurations: _this.fieldsConfigurations, onRemove: _this.dispatchFormClear })); });
    };
    __decorate([
        di_1.lazyInject(di_1.DI_TYPES.FieldsOptions),
        __metadata("design:type", Object)
    ], ChipsFilterContainer.prototype, "fieldsConfigurations", void 0);
    return ChipsFilterContainer;
}(base_1.BaseContainer));
exports.ChipsFilterContainer = ChipsFilterContainer;
//# sourceMappingURL=chips-filter.container.js.map