import { IEffectsAction } from 'redux-effects-promise';
import { ISectionWrapper, IKeyValue } from '../definitions.interface';
/**
 * @stable [14.08.2018]
 * @param {string} section
 * @param {IKeyValue} data
 * @returns {TResult}
 */
export declare const applySection: <TResult extends ISectionWrapper<string> = ISectionWrapper<string>>(section: string, data?: IKeyValue) => TResult;
/**
 * @stable [31.08.2018]
 * @param {string} section
 * @returns {string}
 */
export declare const toActionPrefix: (section: string) => string;
export declare function toSection(action: IEffectsAction): string;
