import { AnyT } from '../definitions.interface';
export declare function isDef(value: AnyT): boolean;
export declare function isUndef(value: AnyT): boolean;
export declare function isNull(value: AnyT): boolean;
export declare function isFn(value: AnyT): boolean;
/**
 * @stable [01.08.2018]
 * @param {AnyT} value
 * @returns {boolean}
 */
export declare const isNumber: (value: any) => boolean;
/**
 * @stable [01.08.2018]
 * @param {AnyT} value
 * @returns {boolean}
 */
export declare const isNumberLike: (value: any) => boolean;
export declare function isBoolean(value: AnyT): boolean;
export declare function isString(value: AnyT): boolean;
export declare const isPrimitive: (v: any) => boolean;
export declare const isObject: (v: any) => boolean;
/**
 * @stable [06.12.2018]
 * @param {TResult} result
 * @returns {TResult}
 */
export declare const toType: <TResult>(result: TResult) => TResult;
